/*
 * Copyright (c) 2013, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 *  ======== IpcMgr.xs ========
 */

/*
 *  ======== module$use ========
 *  Use other modules required by this module
 */
function module$use()
{
    var IpcMgr = this;

/*  still under development
 *
 *  switch (IpcMgr.transportCombo) {
 *
 *      case IpcMgr.TransCombo_RPMSG:
 *          xdc.loadPackage('ti.ipc.rpmsg');
 *          break;
 *
 *      case IpcMgr.TransCombo_RMSG_MESSAGEQ:
 *          xdc.useModule('ti.ipc.namesrv.NameServerRemoteRpmsg');
 *          xdc.loadPackage('ti.ipc.rpmsg');
 *          xdc.useModule('ti.ipc.transports.TransportRpmsgSetup');
 *          xdc.loadPackage('xdc.runtime');
 *          break;
 *
 *      case IpcMgr.TransCombo_IPC:
 *          break;
 *  }
 */
}

/*
 *  ======== getDefs ========
 */
function getDefs()
{
    var defs = "";

    if (xdc.module('ti.deh.Deh').$used) {
        defs += " -DIpcMgr_USEDEH";

        var isa = xdc.module('xdc.cfg.Program').build.target.isa;
        if (isa.match(/66|64T/)) {
            defs += " -DIpcMgr_DSP";
        }
        else if (isa.match(/^v7M(|4)$/)) {
            defs += " -DIpcMgr_IPU";
        }
        else {
            throw new Error("ti.deh.Deh not supported on given target");
        }
    }

    return (defs);
}
